Subject: Re: correct use of lock_kernel() - help! please

From: "Iain Sandoe" <[email-masked]>
Date: Mon, 29 Jan 2001 11:24:57 +0000

Thanks Roman,
On  Mon, Jan 29, 2001, Roman Zippel wrote:
> On Mon, 29 Jan 2001, Iain Sandoe wrote:
>> AFACIT we could hold the kernel locked for *several seconds*
> If you sleep inbetween, it's no problem. The kernel lock is released
> automatically during sleep and reget after sleeping.

Ok. I think we are alright then.

>> What do I really need to protect with lock/unlock pairs?
> SMP protection. Only a single processor can hold the kernel lock at the
> same time. The preferred solution is of course to use semaphores /
> spinlocks.

I think my question was badly phrased:

Around the use of which kernel resources should a lock be applied?

tia,
Iain.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/